/* Alterar a cor do topo */
.swagger-ui .topbar {
  background-color: #f9f9f9 !important; /* Cor verde */
  color: #ffffff !important;
}

/* Alterar a fonte dos títulos */
.swagger-ui .info h1 {
  font-family: 'Arial', sans-serif;
  font-size: 24px;
  color: #333333;
}

/* Centralizar o texto do h2 dentro da classe pai .info */
h2.title, .description  {
  text-align: center !important;
}

/* Alterar a cor de fundo da seção de informações */
.swagger-ui .info {
  padding: 20px;
  border-radius: 5px;
}

/* Alterar os botões */
.swagger-ui .btn {
  background-color: #007BFF !important; /* Azul */
  color: #ffffff !important;
  border-radius: 4px;
}

/* Alterar a cor de fundo do corpo */
.swagger-ui {
  background-color: #ffffff;
  border-radius: .5rem !important;
}

/* Personalizar links */
.swagger-ui a {
  color: #007BFF !important;
  text-decoration: underline;
}

/* Esconder links com rel="noopener noreferrer" dentro de .topbar-wrapper */
/* .topbar-wrapper a[rel="noopener noreferrer"] {
  display: none !important;
} */

/* Esconder links com rel="noopener noreferrer" dentro de .topbar-wrapper */
.topbar {
    display: none !important;
  }

/* Esconder o <a> dentro de <hgroup> */
hgroup.main a {
  display: none !important;
}

.auth-wrapper {display: none !important;}

/* Estilizar a <hr> após o <p> dentro de .description */
.description p + hr {
  border: 0;
  border-top: 1px solid #ccc;
  margin-top: 10px;
  margin-bottom: 10px;
}

/* Adicionar uma linha após o <p> dentro de .description */
.description p::after {
  content: "";
  display: block;
  border-top: 1px solid #ccc;
  margin-top: 10px;
  margin-bottom: 10px;
}